Module | WSDL::SOAP::ClassDefCreatorSupport
In: | wsdl/soap/classDefCreatorSupport.rb

### Methods

basetype_mapped_class create_class_name dq dqname dump_method_signature ndq sym

### Included Modules

XSD::CodeGen::GenSupport

### Public Instance methods

basetype_mapped_class(name)

[Source]

    # File wsdl/soap/classDefCreatorSupport.rb, line 30
      def basetype_mapped_class(name)
        ::SOAP::TypeMap[name]
      end

create_class_name(qname)

[Source]

    # File wsdl/soap/classDefCreatorSupport.rb, line 22
      def create_class_name(qname)
        if klass = basetype_mapped_class(qname)
          ::SOAP::Mapping::DefaultRegistry.find_mapped_obj_class(klass).name
        else
          safeconstname(qname.name)
        end
      end

dq(ele)

[Source]

    # File wsdl/soap/classDefCreatorSupport.rb, line 64
      def dq(ele)
        ele.dump
      end

dqname(qname)

[Source]

    # File wsdl/soap/classDefCreatorSupport.rb, line 76
      def dqname(qname)
        qname.dump
      end

dump_method_signature(operation)

[Source]

    # File wsdl/soap/classDefCreatorSupport.rb, line 34
      def dump_method_signature(operation)
        name = operation.name.name
        input = operation.input
        output = operation.output
        fault = operation.fault
        signature = "#{ name }#{ dump_inputparam(input) }"
        str = "# SYNOPSIS\n#   \#{name}\#{dump_inputparam(input)}\n#\n# ARGS\n\#{dump_inout_type(input).chomp}\n#\n# RETURNS\n\#{dump_inout_type(output).chomp}\n#\n"
        unless fault.empty?
          faultstr = (fault.collect { |f| dump_inout_type(f).chomp }).join(', ')
          str <<"# RAISES\n#   \#{faultstr}\n#\n"
        end
        str
      end

ndq(ele)

[Source]

    # File wsdl/soap/classDefCreatorSupport.rb, line 68
      def ndq(ele)
        ele.nil? ? 'nil' : dq(ele)
      end

sym(ele)

[Source]

    # File wsdl/soap/classDefCreatorSupport.rb, line 72
      def sym(ele)
        ':' + ele
      end

[Validate]